#!/bin/sh

PATH_CONFIG=/flashfs/config/
FILENAME_BOOT_CFG=boot.cfg

. $PATH_CONFIG$FILENAME_BOOT_CFG

#*****************************************************************************
#met a jour le hostname
#*****************************************************************************
killall udhcpc > /dev/null 2>&1
if test "$CFG_CONFIGIP_DHCP" = "Yes" 
then
  #on est en dhcp on demarre le client dhcp
  mkdir /var/dhcp > /dev/null 2>&1
  /sbin/udhcpc -f > /dev/null 2>&1&
else
  #on est en adresse statique 
  ifconfig eth0 $CFG_CONFIGIP_STATIC_IP broadcast $CFG_CONFIGIP_STATIC_BROADCAST netmask $CFG_CONFIGIP_STATIC_MASK > /dev/null 2>&1
  route add default gw $CFG_CONFIGIP_STATIC_GATEWAY netmask 0.0.0.0 > /dev/null 2>&1
fi
